> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Parameterized Model Variable Names

> Get variable names where domain is empty or current collector.

This endpoint returns the names of all variables in the model where the domain
is empty or "current collector" (i.e. they are functions of time only).

Parameters
----------
parameterized_model_id : str
    ID of the parameterized model to fetch variables from
supabase : Client
    Supabase client for database access

Returns
-------
list[str]
    List of variable names with empty or current collector domain



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /parameterized_models/{parameterized_model_id}/variable-names
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /parameterized_models/{parameterized_model_id}/variable-names:
    get:
      tags:
        - parameterized_models
      summary: Get Parameterized Model Variable Names
      description: >-
        Get variable names where domain is empty or current collector.


        This endpoint returns the names of all variables in the model where the
        domain

        is empty or "current collector" (i.e. they are functions of time only).


        Parameters

        ----------

        parameterized_model_id : str
            ID of the parameterized model to fetch variables from
        supabase : Client
            Supabase client for database access

        Returns

        -------

        list[str]
            List of variable names with empty or current collector domain
      operationId: >-
        get_parameterized_model_variable_names_parameterized_models__parameterized_model_id__variable_names_get
      parameters:
        - name: parameterized_model_id
          in: path
          required: true
          schema:
            type: string
            title: Parameterized Model Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
                title: >-
                  Response Get Parameterized Model Variable Names Parameterized
                  Models  Parameterized Model Id  Variable Names Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````